## sharpshooter 2.0+git20240315.f3235c5

=== requirements.txt ===
jsmin==2.2.2 --hash=sha256:b6df99b2cd1c75d9d342e4335b535789b8da9107ec748212706ef7bbe5c2553b

=== debian/changelog ===
sharpshooter (2.0+git20240315.f3235c5-0kali2) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Remove trailing whitespace

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ X0RW3LL ]
  * Refresh patches to support Python 3.12

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 21 Aug 2024 10:10:11 +0700

sharpshooter (2.0+git20240315.f3235c5-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 19 Mar 2024 09:33:02 +0100

=== debian/control ===
Source: sharpshooter
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-jsmin,
Standards-Version: 4.6.2
Homepage: https://github.com/mdsecactivebreach/SharpShooter
Vcs-Browser: https://gitlab.com/kalilinux/packages/sharpshooter
Vcs-Git: https://gitlab.com/kalilinux/packages/sharpshooter.git

Package: sharpshooter
Architecture: all
Multi-Arch: foreign
Depends:
 python3-jsmin,
 ${misc:Depends},
 ${python3:Depends},
Description: Payload Generation Framework
 SharpShooter is a payload creation framework for the retrieval and execution of
 arbitrary CSharp source code. SharpShooter is capable of creating payloads in a
 variety of formats, including HTA, JS, VBS and WSF.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

execute_before_dh_auto_install:
	chmod +x SharpShooter.py

=== debian/tests/control ===
Tests: runtests.sh
Depends: metasploit-framework, @

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.0+git%cd.%h" \
  https://github.com/mdsecactivebreach/SharpShooter HEAD
